local function zoom_camera(x_loc,y_loc,zoom,time)
	
	local tile_size = 8
	
	local location = vector2(x_loc*tile_size+160, y_loc*tile_size+80)
	
	coroutine.yield(engine.Scene:ZoomTo(location, zoom, time))
	
end

local function zoom_back(time)
	coroutine.yield(engine.Scene:ZoomBack(time))
end

local x_loc = player.Position.x
local y_loc = player.Position.y
player.ForceCameraUpdate = true

function onBegin(room)

	disableMovement ()
	setFlag("worm1", true)
	wait(1.8)
	playSound("event:/game/06_reflection/badeline_pull_cliffbreak")
	playMusic ("music_farewell_part01", 0)
	setFlag("worm_destroy", true)
	say("StuffoWOC03_13")
	wait(1)
	say("StuffoWOC03_14")
	playMusic ("event:/WOC/music/Stuffo_WOC_music_intermission", 0)
	wait(1)
	say("StuffoWOC03_15")
	wait(1)
	say("StuffoWOC03_16")
	wait(1)
	say("StuffoWOC03_17")
	wait(1)
	say("StuffoWOC03_18")
	enableMovement ()
	
end

function onEnd(room, wasSkipped)
	
	enableMovement ()
	
end